package product.service;

import java.util.List;

import product.model.Product;

import com.github.pagehelper.PageInfo;

import product.model.Product;

public interface ProductService
{
//根据account中的查询条件得到查询的结果
	List<Product>selectProducts(Product product);
/* 根据account中的查询条件得到查询结果指定分页的内容：即pageIndex页，每页显示pageSize行的一个页面内容*/
	PageInfo<Product> getPage(Product product,Integer pageInteger,Integer pageSize);
	
	int insertProduct(Product product);
	Product getProductByNo(String no);
	
	Product getProductByid(int id);
	int updateProduct(Product product);
	
	int deleteProductById(int id);
}
