package product.controller;

import javax.servlet.http.HttpSession;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import product.service.UserService;
import product.model.User;


@Controller
public class UserController
{
@Autowired
private UserService userService;
@RequestMapping(value="signOn",method=RequestMethod.POST)
public String signon(String no,String password,Model model,HttpSession session){
	User user=userService.findUser(no, password);
	if (user!=null)
	{
		session.setAttribute("user", user);
		return "redirect:product/selectProducts";
	}
	model.addAttribute("msg", "账号或密码错误，请您重新输入！");
	return "login";
	
}


@RequestMapping("signOut")
public String signOut(HttpSession session){
//	清除session
	session.invalidate();
//	转向登录页面
	return"login";
	
}
}
